<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package TOURIMO
 * @since TOURIMO 1.0
 */

$tourimo_args = get_query_var( 'tourimo_logo_args' );

// Site logo
$tourimo_logo_type   = isset( $tourimo_args['type'] ) ? $tourimo_args['type'] : '';
$tourimo_logo_image  = tourimo_get_logo_image( $tourimo_logo_type );
$tourimo_logo_text   = tourimo_is_on( tourimo_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$tourimo_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $tourimo_logo_image['logo'] ) || ! empty( $tourimo_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $tourimo_logo_image['logo'] ) ) {
			if ( empty( $tourimo_logo_type ) && function_exists( 'the_custom_logo' ) && (int) $tourimo_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$tourimo_attr = tourimo_getimagesize( $tourimo_logo_image['logo'] );
				echo '<img src="' . esc_url( $tourimo_logo_image['logo'] ) . '"'
						. ( ! empty( $tourimo_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $tourimo_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $tourimo_logo_text ) . '"'
						. ( ! empty( $tourimo_attr[3] ) ? ' ' . wp_kses_data( $tourimo_attr[3] ) : '' )
						. '>';
			}
		} else {
			tourimo_show_layout( tourimo_prepare_macros( $tourimo_logo_text ), '<span class="logo_text">', '</span>' );
			tourimo_show_layout( tourimo_prepare_macros( $tourimo_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
